Bug 1217583 - gparted should depend on PolicyKit-authentication-agent instead of polkit-gnome
Summary: gparted should depend on PolicyKit-authentication-agent instead of polkit-gnome
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-30 17:57 UTC by Vadim Raskhozhev
Modified: 2016-03-26 17:55 UTC (History)
2 users (show)

Fixed In Version: gparted-0.25.0-4.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 17:55:00 UTC


Attachments (Terms of Use)

Description Vadim Raskhozhev 2015-04-30 17:57:37 UTC
Description of problem:

After upgrading from f21 to f22 the system was nearly unbootable due to an error activating org.freedesktop.PolicyKit1. Further investigation revealed that polkit-gnome and lxpolkit (both are PolicyKit auth agents) does not work well together. System booted OK right after removal of polkit-gnome. The former one was brought by recent update of gparted. The latter has been my everyday polkit auth agent for a couple of years since I stopped using GNOME.

Furthermore, I downloaded gparted .src.rpm, replaced 'Requires: polkit-gnome' with 'Requires: PolicyKit-authentication-agent' (which AFAIK is provided by every polkit auth agent in stock Fedora repos),  built an rpm in copr repo (https://copr.fedoraproject.org/coprs/dexpl/gparted/) and installed gparted from that repo, and everything seems working OK now — both my system and gparted (with lxpolkit).



Version-Release number of selected component (if applicable):

gparted-0:0.22.0-1.fc22.x86_64
lxpolkit-0:0.1.0-10.fc22.x86_64
polkit-gnome-0:0.105-7.fc22.x86_64

Steps to Reproduce:
1. Install a Fedora 22 with any DE that does not depend on polkit-gnome. Check that `rpm -q --whatprovides PolicyKit-authentication-agent` does return something different from polkit-gnome, such as lxpolkit.
2. Install gparted. Check that `rpm -q --whatprovides PolicyKit-authentication-agent` now returns both polkit-gnome and lxpolkit.
3. Try to reboot. Warning: it will likely fail.

Comment 1 Mukundan Ragavan 2015-05-01 00:20:43 UTC
well, I run xfce and authentication in my case is provided by polkit-gnome.

But, the DEs provide policykit authentication agents anyway. So, this change is probably fine. However, before I change anything, I want to test this more ..

Thanks for the report. I will do the needful.

Comment 2 Vadim Raskhozhev 2015-10-03 12:52:58 UTC
Maybe I can help somehow?

Comment 3 Mukundan Ragavan 2015-10-03 23:53:22 UTC
Sorry! I kind of lost track of this bug completely. I will look into this.

Comment 4 Mukundan Ragavan 2015-10-28 23:51:55 UTC
Can you try this and see if it works?

https://koji.fedoraproject.org/koji/taskinfo?taskID=11618041

Comment 5 Vadim Raskhozhev 2015-10-29 09:35:53 UTC
gparted-0.24.0-1.fc23.x86_64.rpm installs OK without requiring polkit-gnome, `sudo gparted` works as it should, but after launching gparted_polkit and inputting password it says

(gpartedbin:8602): Gtk-WARNING **: cannot open display: 

and stops. If I manually stop lxpolkit, install and launch polkit-gnome and re-run gparted_polkit, the outcome is the same (i. e. password dialog and 'cannot open display').

Fedora 23, gparted-0.24.0-1.fc23.x86_64.rpm, lxpolkit-0.5.2-6.fc23.x86_64, 
gtk2-2.24.28-2.fc23.x86_64, polkit-gnome-0:0.105-9.fc23.x86_64

Comment 6 Mukundan Ragavan 2015-10-30 00:25:11 UTC
OK, I am able to reproduce this exactly as you describe. Let me try again ...

Comment 7 Fedora Update System 2016-03-22 01:23:40 UTC
gparted-0.25.0-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8df2fdc7ce

Comment 8 Fedora Update System 2016-03-22 16:55:30 UTC
gparted-0.25.0-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8df2fdc7ce

Comment 9 Fedora Update System 2016-03-26 17:54:58 UTC
gparted-0.25.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.